<?php
namespace nulib\php\access;

/**
 * Class PostAccess: accès à une valeur de $_POST
 */
class PostAccess extends FormAccess {
  function exists(): bool {
    return $this->_exists($_POST);
  }

  public function available(): bool {
    return $this->_available($_POST);
  }

  function get($default=null) {
    return $this->_get($default, $_POST);
  }

  function set($value): void {
    $this->_set($value, $_POST);
  }

  function del(): void {
    $this->_del($_POST);
  }
}
